ESign Docs
Api referenceApiV1Documents

/api/v1/documents

POST
/api/v1/documents

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Authorization: Bearer esk_...

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/documents" \  -H "Content-Type: application/json" \  -d '{    "fileName": "contract.pdf",    "file": "string",    "recipients": [      {        "email": "user@example.com",        "name": "string"      }    ]  }'
{  "id": "string",  "status": "draft"}
{  "error": {    "code": "not_found",    "message": "Document not found"  }}
{  "error": {    "code": "not_found",    "message": "Document not found"  }}